diff --recursive --new-file --unified --exclude=.svn --exclude=.git /ram/gitcmp/flash-kernel/trunk/svn/debian/po/hi.po /ram/gitcmp/flash-kernel/trunk/git/debian/po/hi.po
--- /ram/gitcmp/flash-kernel/trunk/svn/debian/po/hi.po	2009-07-11 14:26:58.273305000 +0200
+++ /ram/gitcmp/flash-kernel/trunk/git/debian/po/hi.po	2009-08-05 16:17:13.346159775 +0200
@@ -20,9 +20,10 @@
 "Project-Id-Version: debian-installer_packages_po_sublevel1_hi\n"
 "Report-Msgid-Bugs-To: debian-boot@lists.debian.org\n"
 "POT-Creation-Date: 2008-06-29 08:15+0000\n"
-"PO-Revision-Date: 2009-07-06 22:29-0400\n"
-"Last-Translator: \n"
-"Language-Team: American English <kde-i18n-doc@kde.org>\n"
+"PO-Revision-Date: 2009-02-18 18:02-0600\n"
+"Last-Translator: Kumar Appaiah <a.kumar@alumni.iitm.ac.in>\n"
+"Language-Team: http://lists.alioth.debian.org/mailman/listinfo/debian-in-"
+"workers <debian-in-workers@lists.alioth.debian.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
diff --recursive --new-file --unified --exclude=.svn --exclude=.git /ram/gitcmp/flash-kernel/trunk/svn/debian/postinst /ram/gitcmp/flash-kernel/trunk/git/debian/postinst
--- /ram/gitcmp/flash-kernel/trunk/svn/debian/postinst	1970-01-01 01:00:00.000000000 +0100
+++ /ram/gitcmp/flash-kernel/trunk/git/debian/postinst	2009-08-05 16:17:13.346159775 +0200
@@ -0,0 +1,57 @@
+#!/bin/sh
+set -e
+
+. /usr/share/debconf/confmodule
+
+log() {
+	logger -t nslu2-firmware-installer "$@"
+}
+
+error() {
+	log "error: $@"
+}
+
+db_progress START 0 2 nslu2-firmware-installer/progress
+db_progress INFO nslu2-firmware-installer/prepare
+
+# The non-free ixp400_eth can be manually included on a d-i image,
+# if it is copy it into the installed system so it's available there too,
+# and gets put into the initramfs in flash.
+ixp400_found=0
+for file in $(find /lib/modules -type f |grep ixp400); do
+	ixp400_found=1
+	dir=$(dirname $file)
+	mkdir -p /target/$dir
+	cp -a $file /target/$file
+done
+if [ $ixp400_found -gt 1 ]; then
+	log "copied ixp400 driver to /target"
+	chroot /target depmod -a || true
+fi
+
+apt-install initramfs-tools || true # probably already installed; make sure
+if ! apt-install nslu2-utils; then
+	error "apt-install nslu2-utils failed"
+	exit 1
+fi
+
+# Set up nslu2-flashkernel to run on kernel upgrades.
+if ! grep -q nslu2-flashkernel /target/etc/kernel-img.conf; then
+	echo "postinst_hook = /usr/sbin/nslu2-flashkernel" >> \
+		/target/etc/kernel-img.conf
+fi
+
+db_progress STEP 1
+db_progress INFO nslu2-firmware-installer/flashing
+
+# We need the udev /dev which has the MTD devices
+mount -o bind /dev /target/dev
+if ! in-target nslu2-flashkernel; then
+	umount /target/dev || true
+	error "nslu2-flashkernel failed"
+	exit 1
+fi
+umount /target/dev || true
+
+db_progress STEP 1
+db_progress STOP
